---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2020-05-26T09:46:42Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector: {}
    manager: cluster-version-operator
    operation: Update
    time: "2020-05-26T09:46:42Z"
  name: image-registry
  namespace: openshift-image-registry
  resourceVersion: "13433"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-image-registry/servicemonitors/image-registry
  uid: 937485f5-c3ab-4588-b521-b0aeac468263
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    path: /extensions/v2/metrics
    port: 5000-tcp
    scheme: https
    targetPort: 5000
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: image-registry.openshift-image-registry.svc
  namespaceSelector:
    matchNames:
    - openshift-image-registry
  selector: {}
